Follow

Administration > Tachograph > Card Reader Application > Download and Install

Updated

Requirements

Before downloading the Card Reader App, please check the minimum requirements:

  • Windows 10 or Windows 8.1, 32 or 64 bits, or Windows Sever 2012, 2016 or 2019 (although not supported, it might work on older versions of Windows);
  • 4Gb of RAM
  • 5Gb of free disk space.
  • USB Smart Card Reader compatible with Windows

 

Installation instructions

Download the installer for the Multiple Card Reader App from the page Administration > Tachograph > Options. Run the installer and follow these steps:
Click the link More info in this dialog:
image.png

 

And then click the button Run anyway:
image-2.png

 

Click Next on the new dialog:
image-3.png

 

And in the following one. We recommend you to keep the default setup folder and to install the application to everyone:
image-4.png

 

Select the type of smart card reader in the following screen and click Next. You should only select Lisle Hyper Rack if you are going to use smart card readers from the Lisle Hyper Rack family. If you select that option, a special version of WinSCard.dll will be copied to the Multiple Card Reader  application folder and it will be used instead of the standard one from Windows, and the app will not be able to work with standard smart card readers. You can delete the dll file from C:\Frotcom\MulticardReader later if you want to use standard readers.
image-5.png

 

Click Next in the following screen:
image-6.png

 

If you see a new dialog requesting Administrator permissions to process with the installation, please click the button Yes.
At the end, click Close to finish the installation process:
image-7.png

Lisle Hyper Rack

With standard smartcard readers, Microsoft Windows limits the number of cards that you can connect simultaneously, usually up to 20. Since version 2.2.1.0, CardReaderApp supports smart card readers from Lisle, enabling you to host more Company Cards. To enable it, you should select the corresponding option when installing the app.

Note that, doing so prevents the standard smartcard readers from being detected by the CardReaderApp.

image.png

 

Update to a newer version

If you are updating to a newer version, the installation process is exactly the same as for a new installation. If you keep the same folder, your settings including the list of company cards will be kept.

 

Update from the previous installation method

Up until version 2.1.0.0, the installation process was based on the technology ClickOnce. This had the ability to detect new versions everytime the application was launched, but caused many issues related to the release process and to the way user settings (and card list) was saved, leading to frequent reports of lost settings.
From version 2.2.0.0, Frotcom International decided to use a more traditional installation process. We lost the automatic detection of updates, but it is much more stable in the way settings are kept.
You should manually uninstall the previous version before installing this new one.

 

What changed in version 2.2.1.0

- More reliable installation process;
- Compatibility with Lisle Hyper Rack card readers (installation option);
Refresh cards button to detect new cards without having to restart the application.

 

 

Release Notes

2.2.9.0 - 2024-02-19

  • Deal with company card error 6Cxx to reissue the command with the expected length parameter requested by the card, because tachographs do not deal with this correctly;
  • Increase the timeout on the connection to server from 10 to 30 seconds to improve reliability;
  • Solve issue on failed server connection reattempts by clearing the previous session token;
  • Update the Lisle Hyper Rack driver to the latest version (1.2.5).

2.2.8.0 - 2023-06-15

  • Solves issue downloading files to local disk, introduced in version 2.2.7.0.
  • Protects against native exceptions that may be generated if the connection to the company card has been removed during an operation.

2.2.7.0 - 2023-05-23

  • Despite previous improvements, some crashes were still observed, in the API connection component (third party component). In this version, this component has been updated to the latest version, which solves those issues according to the producer.

2.2.6.0 - 2023-05-05

  • Improvements in the reliability of the application upon network connection failures.

2.2.1.0 - 2023-03-10

  • More reliable installation process;
  • Compatibility with Lisle Hyper Rack card readers (installation option);
  • Refresh cards button to detect new cards without having to restart the application.

 

 

If you need a user guide of Frotcom's Card Reader Application, please click here.

If you need further assistance, please contact your Frotcom Certified Partner. You can find the contacts of the Frotcom Certified Partners here.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk